=== src/mod/applications/mod_fsk/Makefile ===
BASE=../../../..

LOCAL_SOURCES=fsk.c uart.c fsk_callerid.c
LOCAL_OBJS=fsk.o uart.o fsk_callerid.o
include $(BASE)/build/modmake.rules
