=== src/mod/codecs/mod_sangoma_codec/Makefile ===
BASE=../../../..
LOCAL_LDFLAGS += -lsngtc_node
include $(BASE)/build/modmake.rules
